Open Infrastructure - Task #8129

Phase in AS207996 for place6
06/07/2020 10:11 AM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Nico Schottelius % Done:
Category: Estimated time:

Target version:
PM Check date:

06/07/2020

0%
0.00 hour

Description

e Splitting AS
¢ Treating other side as eBGP
¢ Test network: https://netbox.ungleich.ch/ipam/prefixes/232/

route6 "2ala:e5cd::/32AS207996"

RIPE

Creating routes for the new ASN

route "147.78.192.0/22AS207996"

route "185.203.112.0/22AS207996"
route6 "2a09:2940::/29AS207996"

route6 "2a0a:e5c0:2::/48AS207996"
route6 "2a0a:e5c0:7::/48AS207996"
route6 "2a0a:e5c0:e::/48AS207996"
route6 "2a0a:e5c0:f::/48AS207996"

e & o o o o o o

Creating specific route objects for ASN 209898
¢ route6 "2a0a:e5c0::/48AS209898"

RPKI
¢ Allowing all networks from both ASN

Changes upstream

Netstream

¢ Peer newly as 207996
¢ Forward/accept additionally AS209898

Sunrise

e Forward/accept additionally AS207996

History

#1 - 06/07/2020 10:12 AM - Nico Schottelius
- Description updated

#2 - 06/07/2020 10:22 AM - Nico Schottelius

Test config:

protocol bgp p5 {
https://netbox.ungleich.ch/ipam/prefixes/232/

local as 207996;

neighbor 2ala:e5c0:1:8::4 as 209898;
direct;

ipvée {

#3 - 06/07/2020 03:11 PM - Nico Schottelius
- Subject changed from Phase in AS207996 for either p5 or p6 to Phase in AS207996 for place6

#4 - 06/07/2020 03:17 PM - Nico Schottelius

- File 2020-06-07-151647_1329x916_scrot.png added

e Added ROAs

import filter to_ungleich_routers;
export filter to_ungleich_routers;

AS number Prefix Most specific length Affected
allowed announcements

AS209898 2a0a:e5c1:100::/40 48 & w
AS209898 2a0a:e5c0:10::/48 48 & w
AS209898 2a0a:e5c0:3::/48 48 & w
AS209898 2a0a:e5c0:2::/48 48 & w
AS209898 2a0a:e5c0:1::/48 48 @ w
AS209898 2a0a:e5c0::/29 48 @ w
AS209898 2a09:2940::/29 48 @ w
AS209898 185.203.112.0/22 24 @ w
AS209898 147.78.192.0/22 24 @ w
AS207996 2a0a:e5c0::/29 48 @ w
AS207996 2a09:2940::/29 48 @ w
AS207996 185.203.112.0/22 24 @ w
AS207996 147.78.192.0/22 24 @ w

#5 - 06/08/2020 10:52 AM - Nico Schottelius

Current route objects in the ripe database from AS209898:

route: 147.78.192.0/22

origin: AS209898

mnt-by: mnt-ch-ungleichl-1

created: 2019-04-10T10:17:262

last-modified: 2019-04-10T10:17:262

source: RIPE

Update objectRIPEstat

route: 185.203.112.0/22

origin: AS209898

mnt-by: ch-ungleich-1-mnt

created: 2019-04-23T13:58:28%2

last-modified: 2019-04-23T13:58:28%
source:

RIPE

Update objectRIPEstat

route:

origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

185.203.112.0/24
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-12-03T13:49:592
2019-12-03T13:49:592
RIPE

Update objectRIPEstat

route:

origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

185.203.113.0/24
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-12-03T13:49:382
2019-12-03T13:49:382
RIPE

Update objectRIPEstat

route:

origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

185.203.114.0/23
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2020-02-07T17:38:142
2020-02-07T17:38:142
RIPE

Update objectRIPEstat

route:

origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

185.203.115.0/24
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-12-03T13:50:122
2019-12-03T13:50:122
RIPE

Update objectRIPEstat

routeb6:
origin:
mnt-by:
mnt-by:
created:
last-modified:
source:

2a09:2940::/29
AS209898
mnt-ch-ungleichl-1
mnt-ungleich
2019-04-10T10:11:142%
2019-05-15T09:28:532
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2a09:2940::/32
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-11-01T21:47:072
2019-11-01T21:47:072
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2a09:2941::/32
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-12-22T14:00:402
2019-12-22T14:00:402
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2a09:2942::/32
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-11-01T21:47:262
2019-11-01T21:47:262
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-12-22T14:01:232
2019-12-22T14:01:232
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2a0a:e5c0:10::/48
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-09-17T16:59:552
2019-09-17T16:59:552
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
created:
last-modified:
source:

2a0a:e5c0:1::/48
AS209898
mnt-ungleich
ch-ungleich-1-mnt
2019-05-10T07:45:54%2
2019-05-10T07:45:542
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2al0a:e5c0:2::/48
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-05-19T13:39:592
2019-05-19T13:39:592
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
created:
last-modified:
source:

2a0a:e5c0:3::/48
AS209898
mnt-ungleich
ch-ungleich-1-mnt
2019-05-10T08:51:232
2019-05-10T08:51:232
RIPE

Update objectRIPEstat

routeb6:
origin:
mnt-by:
created:
last-modified:
source:

2a0a:e5c0::/29
AS209898
ch-ungleich-1-mnt
2019-04-23T13:55:55Z
2019-04-23T13:55:55Z
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
created:
last-modified:
source:

2al0a:e5c0::/32
AS209898
mnt-ungleich
ch-ungleich-1-mnt
2019-05-08T09:51:092
2019-05-08T09:51:092
RIPE

Update objectRIPEstat

routeb6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2ala:e5c0:c::/48
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-12-21T23:32:332
2019-12-21T23:32:332
RIPE

Update objectRIPEstat

routeb6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2ala:e5c0:e::/48
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2019-12-21T23:32:472
2019-12-21T23:32:472
RIPE

Update objectRIPEstat

routeb6:
origin:
mnt-by:
created:
last-modified:
source:

AS209898
mnt-ungleich
2019-05-06T08:33:572
2019-05-06T08:33:57Z
RIPE

Update objectRIPEstat

route6:
origin:
mnt-by:
mnt-by:
created:
last-modified:
source:

2al0a:eb5cl::/32
AS209898
mnt-ungleich
ch-ungleich-1-mnt
2019-05-08T09:51:442
2019-05-08T09:51:4472
RIPE

Update objectRIPEstat

routeb6:
origin:
mnt-by:
mnt-by:
mnt-by:
created:
last-modified:
source:

2ala:e5c4::/32
AS209898
mnt-ch-ungleichl-1
ch-ungleich-1-mnt
mnt-ungleich
2020-06-07T16:12:262
2020-06-07T16:12:262
RIPE

#6 - 06/08/2020 11:02 AM - Nico Schottelius

- Description updated

#7 - 06/08/2020 11:05 AM - Nico Schottelius

- Description updated

#8 - 01/02/2024 02:08 PM - Nico Schottelius

- Status changed from In Progress to Closed

Files
